function Update(self)
	--Update the landing position.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 16;
	local landPos = Vector();
	SceneMan:CastStrengthRay(Vector(self.Pos.X,self.landY),Vector(0,SceneMan.Scene.Height - self.Pos.Y),9999,landPos,0,0,false);
	self.landY = landPos.Y - 16;
	--Create a light at the landing position to indicate that the actor is incoming.
	local dot = CreateMOPixel("Incoming Human Glow");
	--Move the light if there are other blocks falling below this if it's high up enough.
	if self:GetAltitude(64,8) == 64 then
		local blocksbelow = 0;
		for particle in MovableMan.Particles do
			if particle:IsInGroup("Falling Blocks") and particle.Pos.X == self.Pos.X and particle.Pos.Y > self.Pos.Y then
				blocksbelow = blocksbelow + 1;
			end
		end
		dot.Pos.Y = math.ceil(self.landY / 32) * 32 - 16 - 32 * blocksbelow;
		dot.Pos.X = math.ceil(self.Pos.X / 32) * 32 - 16;
		MovableMan:AddParticle(dot);
		--Don't become terrain.
		self:NotResting();
		self.ToSettle = false;
		if self:GetAltitude(48,8) ~= 48 then
			self.Vel.Y = self.Vel.Y - math.random();
		end
	end
end